package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.pc.device.entity.DeviceEntity;
import com.ycwl.basic.model.pc.device.req.DeviceReqQuery;
import com.ycwl.basic.model.pc.device.resp.DeviceRespVO;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:48
 * device（设备管理）
 */
public interface DeviceMapper {
    List<DeviceRespVO> list(DeviceReqQuery deviceReqQuery);
    DeviceRespVO getById(Long id);
    int add(DeviceEntity device);
    int deleteById(Long id);
    int update(DeviceEntity device);
    int updateStatus(Long id);
}
