package com.ycwl.basic.model.pc.member.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 15:59
 */
@Data
@ApiModel("查询用户列表请求参数")
public class MemberReqQuery {
    /**
     * 微信openId
     */
    @ApiModelProperty("微信openId")
    private String openId;
    /**
     * 微信昵称
     */
    @ApiModelProperty("微信昵称")
    private String nickname;
    /**
     * 真实姓名
     */
    @ApiModelProperty("真实姓名")
    private String realName;
    /**
     * 推客优惠码
     */
    @ApiModelProperty("推客优惠码")
    private String promoCode;
    /**
     * 推客id
     */
    @ApiModelProperty("推客id")
    private Long brokerId;
    /**
     * 是否同意用户协议，1同意0未同意
     */
    @ApiModelProperty("是否同意用户协议，1同意0未同意")
    private Integer agreement;
    /**
     * 电话号码
     */
    @ApiModelProperty("电话号码")
    private String phone;
    /**
     * 国家
     */
    @ApiModelProperty("国家")
    private String country;
    /**
     * 省份
     */
    @ApiModelProperty("省份")
    private String province;
    /**
     * 城市
     */
    @ApiModelProperty("城市")
    private String city;
    @ApiModelProperty("创建时间")
    private Date startTime;
    @ApiModelProperty("创建时间")
    private Date endTime;
}
